AMQP data types
Types

AMQP data types. More...

Collaboration diagram for AMQP data types:

## Classes

struct | pn_decimal128_t
| A 128-bit decimal floating-point number. More...
struct | pn_uuid_t
| A 16-byte universally unique identifier. More...

## Typedefs

typedef int64_t | pn_timestamp_t
| A 64-bit timestamp in milliseconds since the Unix epoch.
typedef uint32_t | pn_char_t
| A 32-bit Unicode code point.
typedef uint32_t | pn_decimal32_t
| A 32-bit decimal floating-point number.
typedef uint64_t | pn_decimal64_t
| A 64-bit decimal floating-point number.

## Enumerations

enum | pn_type_t { PN_NULL, PN_BOOL, PN_UBYTE, PN_BYTE, PN_USHORT, PN_SHORT, PN_UINT, PN_INT, PN_CHAR, PN_ULONG, PN_LONG, PN_TIMESTAMP, PN_FLOAT, PN_DOUBLE, PN_DECIMAL32, PN_DECIMAL64, PN_DECIMAL128, PN_UUID, PN_BINARY, PN_STRING, PN_SYMBOL, PN_DESCRIBED, PN_ARRAY, PN_LIST, PN_MAP, PN_INVALID }
| Identifies an AMQP type. More...

## Functions

const char * | pn_type_name (pn_type_t type)
| Return a string name for an AMQP type. More...

## Detailed Description

AMQP data types.

## Class Documentation

## pn_decimal128_t

struct pn_decimal128_t

A 128-bit decimal floating-point number.

Class Members
char | bytes[16] |

## pn_uuid_t

struct pn_uuid_t

A 16-byte universally unique identifier.

Class Members
char | bytes[16] |

## Enumeration Type Documentation

## pn_type_t

enum pn_type_t

Identifies an AMQP type.

Enumerator
PN_NULL | The NULL AMQP type.
PN_BOOL | The boolean AMQP type.
PN_UBYTE | The unsigned byte AMQP type. An 8 bit unsigned integer.
PN_BYTE | The byte AMQP type. An 8 bit signed integer.
PN_USHORT | The unsigned short AMQP type. A 16 bit unsigned integer.
PN_SHORT | The short AMQP type. A 16 bit signed integer.
PN_UINT | The unsigned int AMQP type. A 32 bit unsigned integer.
PN_INT | The signed int AMQP type. A 32 bit signed integer.
PN_CHAR | The char AMQP type. A 32 bit unicode character.
PN_ULONG | The ulong AMQP type. An unsigned 32 bit integer.
PN_LONG | The long AMQP type. A signed 32 bit integer.
PN_TIMESTAMP | The timestamp AMQP type. A signed 64 bit value measuring milliseconds since the epoch.
PN_FLOAT | The float AMQP type. A 32 bit floating point value.
PN_DOUBLE | The double AMQP type. A 64 bit floating point value.
PN_DECIMAL32 | The decimal32 AMQP type. A 32 bit decimal floating point value.
PN_DECIMAL64 | The decimal64 AMQP type. A 64 bit decimal floating point value.
PN_DECIMAL128 | The decimal128 AMQP type. A 128 bit decimal floating point value.
PN_UUID | The UUID AMQP type. A 16 byte UUID.
PN_BINARY | The binary AMQP type. A variable length sequence of bytes.
PN_STRING | The string AMQP type. A variable length sequence of unicode characters.
PN_SYMBOL | The symbol AMQP type. A variable length sequence of unicode characters.
PN_DESCRIBED | A described AMQP type.
PN_ARRAY | An AMQP array. A monomorphic sequence of other AMQP values.
PN_LIST | An AMQP list. A polymorphic sequence of other AMQP values.
PN_MAP | An AMQP map. A polymorphic container of other AMQP values formed into key/value pairs.
PN_INVALID | A special invalid type value that is returned when no valid type is available.

## Function Documentation

## pn_type_name()

const char* pn_type_name | ( | pn_type_t | type | ) |

Return a string name for an AMQP type.

Parameters

  type | an AMQP type

Returns
  the string name of the given type